/lib64/libc.so.6: version GLIBC_2.14 not found

libc.so.6: version GLIBC_2.14 not found

需要升级gblic版本

如果下载不畅, 点击这里下载, 网盘资源
提取码:r019

# 下载本体
wget http://ftp.gnu.org/gnu/glibc/glibc-2.14.tar.gz 
# 下载补丁
wget http://ftp.gnu.org/gnu/glibc/glibc-ports-2.14.tar.gz
# 开始安装准备
tar -xvf  glibc-2.14.tar.gz 
tar -xvf  glibc-ports-2.14.tar.gz
mv glibc-ports-2.14 glibc-2.14/ports
mkdir glibc-2.14/build
cd glibc-2.14/build 
# 三部曲
../configure  --prefix=/usr --disable-profile --enable-add-ons --with-headers=/usr/include --with-binutils=/usr/bin
make
make install

验证

ll /lib64/libc.so.6
strings /lib64/libc.so.6 |grep GLIBC_
已标记关键词 清除标记
相关推荐
**Linux下使用 pip install tensorflow --upgrade 命令安装成功,但是在import tensorflow的时候报错,具体错误如下: ** >>> import tensorflow Traceback (most recent call last): File "/usr/local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow.py", line 41, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "/usr/local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "/usr/local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "/usr/local/lib/python3.5/imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "/usr/local/lib/python3.5/imp.py", line 342, in load_dynamic return _load(spec) ImportError: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.18' not found (required by /usr/local/lib/python3.5/site-packages/tensorflow/python/_pywrap_tensorflow_internal.so) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/usr/local/lib/python3.5/site-packages/tensorflow/__init__.py", line 24, in <module> from tensorflow.python import * File "/usr/local/lib/python3.5/site-packages/tensorflow/python/__init__.py", line 49, in <module> from tensorflow.python import pywrap_tensorflow File "/usr/local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow.py", line 52, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "/usr/local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow.py", line 41, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "/usr/local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "/usr/local/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "/usr/local/lib/python3.5/imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "/usr/local/lib/python3.5/imp.py", line 342, in load_dynamic return _load(spec) ImportError: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.18' not found (required by /usr/local/lib/python3.5/site-packages/tensorflow/python/_pywrap_tensorflow_internal.so) Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/install_sources#common_installation_problems for some common reasons and solutions. Include the entire stack trace above this error message when asking for help. **最开始是 version 'GLIBC2.14' not found,升级到glibc2.14版本后,又报错 version ‘GLIBC2.18’not found,又升级到2.19版本就报现在这个错误,这真是由于GLIBC版本过低引起的吗,怎么解决?**
©️2020 CSDN 皮肤主题: 撸撸猫 设计师:C马雯娟 返回首页